Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDragEnterEvent Class Reference

The TQDragEnterEvent class provides an event which is sent to the widget when a drag and drop first drags onto the widget. More...

`#include <ntqevent.h>`

Inherits TQDragMoveEvent.

List of all member functions.

## Public Members

- TQDragEnterEvent ( const TQPoint & pos )

## Detailed Description

The TQDragEnterEvent class provides an event which is sent to the widget when a drag and drop first drags onto the widget.

This event is always immediately followed by a TQDragMoveEvent, so you only need to respond to one or the other event. This class inherits most of its functionality from TQDragMoveEvent, which in turn inherits most of its functionality from TQDropEvent.

See also TQDragLeaveEvent, TQDragMoveEvent, TQDropEvent, Drag And Drop Classes, and Event Classes.

## Member Function Documentation

### TQDragEnterEvent::TQDragEnterEvent ( const TQPoint & pos )

Constructs a TQDragEnterEvent entering at the given point, pos.

Warning: Do not create a TQDragEnterEvent yourself since these objects rely on TQt's internal state.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.